---
title: Update an incident timestamp override
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update an incident timestamp override{% #update-an-incident-timestamp-override %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrides/{id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrides/{id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/incidents/{incident_id}/timestamp-overrides/{id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/incidents/{incident_id}/timestamp-overrides/{id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/timestamp-overrides/{id}  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrides/{id} |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrides/{id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrides/{id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/timestamp-overrides/{id} |

### Overview

Update a timestamp override for an incident. This endpoint requires the `incident_write` permission.

OAuth apps require the `incident_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Arguments

#### Path Parameters

| Name                          | Type   | Description                         |
| ----------------------------- | ------ | ----------------------------------- |
| incident_id [*required*] | string | The UUID of the incident.           |
| id [*required*]          | string | The UUID of the timestamp override. |

### Request

#### Body Data (required)

Timestamp override patch payload.

{% tab title="Model" %}

| Parent field | Field                             | Type      | Description                                                                                     |
| ------------ | --------------------------------- | --------- | ----------------------------------------------------------------------------------------------- |
|              | data [*required*]            | object    | Timestamp override data in a patch request.                                                     |
| data         | attributes                        | object    | Attributes for patching a timestamp override.                                                   |
| attributes   | timestamp_value [*required*] | date-time | The overridden timestamp value.                                                                 |
| data         | id [*required*]              | uuid      | The timestamp override identifier.                                                              |
| data         | type [*required*]            | enum      | Incident timestamp override resource type. Allowed enum values: `incidents_timestamp_overrides` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "timestamp_value": "2024-01-01T10:00:00.000Z"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "type": "incidents_timestamp_overrides"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with a single timestamp override.

| Parent field          | Field                             | Type      | Description                                                                                     |
| --------------------- | --------------------------------- | --------- | ----------------------------------------------------------------------------------------------- |
|                       | data [*required*]            | object    | Timestamp override data in a response.                                                          |
| data                  | attributes [*required*]      | object    | Attributes of a timestamp override in a response.                                               |
| attributes            | created_at [*required*]      | date-time | Timestamp when the override was created.                                                        |
| attributes            | deleted_at                        | date-time | Timestamp when the override was deleted.                                                        |
| attributes            | incident_id [*required*]     | string    | The incident identifier.                                                                        |
| attributes            | modified_at [*required*]     | date-time | Timestamp when the override was last modified.                                                  |
| attributes            | timestamp_type [*required*]  | enum      | The type of timestamp to override. Allowed enum values: `detected,resolved,declared`            |
| attributes            | timestamp_value [*required*] | date-time | The overridden timestamp value.                                                                 |
| data                  | id [*required*]              | uuid      | The timestamp override identifier.                                                              |
| data                  | relationships                     | object    | Relationships for a timestamp override.                                                         |
| relationships         | created_by_user                   | object    | Relationship to user.                                                                           |
| created_by_user       | data [*required*]            | object    | Relationship to user object.                                                                    |
| data                  | id [*required*]              | string    | A unique identifier that represents the user.                                                   |
| data                  | type [*required*]            | enum      | Users resource type. Allowed enum values: `users`                                               |
| relationships         | last_modified_by_user             | object    | Relationship to user.                                                                           |
| last_modified_by_user | data [*required*]            | object    | Relationship to user object.                                                                    |
| data                  | id [*required*]              | string    | A unique identifier that represents the user.                                                   |
| data                  | type [*required*]            | enum      | Users resource type. Allowed enum values: `users`                                               |
| data                  | type [*required*]            | enum      | Incident timestamp override resource type. Allowed enum values: `incidents_timestamp_overrides` |
|                       | included                          | [object]  | Included related resources.                                                                     |
| included              | attributes                        | object    | Attributes of user object returned by the API.                                                  |
| attributes            | email                             | string    | Email of the user.                                                                              |
| attributes            | handle                            | string    | Handle of the user.                                                                             |
| attributes            | icon                              | string    | URL of the user's icon.                                                                         |
| attributes            | name                              | string    | Name of the user.                                                                               |
| attributes            | uuid                              | string    | UUID of the user.                                                                               |
| included              | id                                | string    | ID of the user.                                                                                 |
| included              | type                              | enum      | Users resource type. Allowed enum values: `users`                                               |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "created_at": "2024-01-01T00:00:00.000Z",
      "deleted_at": null,
      "incident_id": "00000000-0000-0000-0000-000000000000",
      "modified_at": "2024-01-01T00:00:00.000Z",
      "timestamp_type": "detected",
      "timestamp_value": "2024-01-01T10:00:00.000Z"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "incidents_timestamp_overrides"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export incident_id="CHANGE_ME" export id="CHANGE_ME" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/incidents/${incident_id}/timestamp-overrides/${id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "timestamp_value": "2024-01-01T11:00:00.000Z"
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "incidents_timestamp_overrides"
  }
}
EOF 
                
{% /tab %}
